import * as ss from "superstruct";
declare const ContentModelSchema: ss.Struct<{
    name: string;
    json: {
        type: "string";
        kind: "string" | "textarea" | "image_file_id" | "file_id" | "product_id" | "variant_id" | "category_id" | "brand_id" | "content_block_id" | "web_url" | "dropdown" | "radio";
        validation?: {
            minLength?: number | undefined;
            minLengthError?: string | undefined;
            maxLength?: number | undefined;
            maxLengthError?: string | undefined;
            pattern?: string | undefined;
            patternError?: string | undefined;
            enum?: {
                label: string;
                value: string;
            }[] | undefined;
            defaultValue?: string | undefined;
        } | undefined;
        help?: string | undefined;
    } | {
        type: "datetime";
        kind: "date" | "datetime";
        help?: string | undefined;
    } | {
        type: "boolean";
        kind: "checkbox" | "toggle";
        help?: string | undefined;
    } | {
        type: "number";
        kind: "number" | "percentage" | "rating";
        validation: {
            min?: number | undefined;
            minError?: string | undefined;
            max?: number | undefined;
            maxError?: string | undefined;
            integer?: boolean | undefined;
        };
        help?: string | undefined;
    } | {
        type: "object";
        fields: (({
            type: "string";
            kind: "string" | "textarea" | "image_file_id" | "file_id" | "product_id" | "variant_id" | "category_id" | "brand_id" | "content_block_id" | "web_url" | "dropdown" | "radio";
            validation?: {
                minLength?: number | undefined;
                minLengthError?: string | undefined;
                maxLength?: number | undefined;
                maxLengthError?: string | undefined;
                pattern?: string | undefined;
                patternError?: string | undefined;
                enum?: {
                    label: string;
                    value: string;
                }[] | undefined;
                defaultValue?: string | undefined;
            } | undefined;
            help?: string | undefined;
        } | {
            type: "datetime";
            kind: "date" | "datetime";
            help?: string | undefined;
        } | {
            type: "boolean";
            kind: "checkbox" | "toggle";
            help?: string | undefined;
        } | {
            type: "number";
            kind: "number" | "percentage" | "rating";
            validation: {
                min?: number | undefined;
                minError?: string | undefined;
                max?: number | undefined;
                maxError?: string | undefined;
                integer?: boolean | undefined;
            };
            help?: string | undefined;
        }) & {
            name: string;
            label?: string | undefined;
        })[];
        help?: string | undefined;
    };
    label?: string | undefined;
}, {
    label: ss.Struct<string | undefined, null>;
    name: ss.Struct<string, null>;
    json: ss.Struct<{
        type: "string";
        kind: "string" | "textarea" | "image_file_id" | "file_id" | "product_id" | "variant_id" | "category_id" | "brand_id" | "content_block_id" | "web_url" | "dropdown" | "radio";
        validation?: {
            minLength?: number | undefined;
            minLengthError?: string | undefined;
            maxLength?: number | undefined;
            maxLengthError?: string | undefined;
            pattern?: string | undefined;
            patternError?: string | undefined;
            enum?: {
                label: string;
                value: string;
            }[] | undefined;
            defaultValue?: string | undefined;
        } | undefined;
        help?: string | undefined;
    } | {
        type: "datetime";
        kind: "date" | "datetime";
        help?: string | undefined;
    } | {
        type: "boolean";
        kind: "checkbox" | "toggle";
        help?: string | undefined;
    } | {
        type: "number";
        kind: "number" | "percentage" | "rating";
        validation: {
            min?: number | undefined;
            minError?: string | undefined;
            max?: number | undefined;
            maxError?: string | undefined;
            integer?: boolean | undefined;
        };
        help?: string | undefined;
    } | {
        type: "object";
        fields: (({
            type: "string";
            kind: "string" | "textarea" | "image_file_id" | "file_id" | "product_id" | "variant_id" | "category_id" | "brand_id" | "content_block_id" | "web_url" | "dropdown" | "radio";
            validation?: {
                minLength?: number | undefined;
                minLengthError?: string | undefined;
                maxLength?: number | undefined;
                maxLengthError?: string | undefined;
                pattern?: string | undefined;
                patternError?: string | undefined;
                enum?: {
                    label: string;
                    value: string;
                }[] | undefined;
                defaultValue?: string | undefined;
            } | undefined;
            help?: string | undefined;
        } | {
            type: "datetime";
            kind: "date" | "datetime";
            help?: string | undefined;
        } | {
            type: "boolean";
            kind: "checkbox" | "toggle";
            help?: string | undefined;
        } | {
            type: "number";
            kind: "number" | "percentage" | "rating";
            validation: {
                min?: number | undefined;
                minError?: string | undefined;
                max?: number | undefined;
                maxError?: string | undefined;
                integer?: boolean | undefined;
            };
            help?: string | undefined;
        }) & {
            name: string;
            label?: string | undefined;
        })[];
        help?: string | undefined;
    }, null>;
}>;
declare type ContentModelSchemaType = ss.Infer<typeof ContentModelSchema>;
export declare function parseContentModelSchema(data: string): ContentModelSchemaType;
export declare function generateContentModelTypescriptCode(schema: ContentModelSchemaType): string;
export {};
